C To convert from four to three index notation
C  for the hexagonal system
C
C JR2=0 if vector is in real space, JR=1 if in reciprocal space.
C
C Reference:
C  Chapter on Crystallography, by H. K. D. H. Bhadeshia, 
C   in "Microstructural Characterisation" edited by E. Metcalfe,
C   Institute of Metals, London, 1988, Appendix 2, page 30.
C

      SUBROUTINE MAP_CRYSTAL_NOTAT1(U,V,T,W,JR2,U1,U2,U3)
      IMPLICIT NONE
      REAL U,V,T,W,U1,U2,U3
      INTEGER JR2
C
      IF(JR2 .EQ. 1)GOTO 5
C
        U1=U-T
        U2=V-T
        U3=W
      GOTO 20
C
5       U1=U
        U2=V
        U3=W
C
20    RETURN        
      END                        
